; ==============================================================
; MIRAGE.INC - Modified to support original ION function names
; ==============================================================

.DEFINE ionVersion            = $4083
.DEFINE ionPutSprite          = $4089
.DEFINE ionLargeSprite        = $408C
.DEFINE ionGetPixel           = $408F
.DEFINE ionFastCopy           = $4092
.DEFINE ionDetect             = $4095
.DEFINE ionDecompress         = $4098
.DEFINE ionRandom             = $4086

; Below are standard mirage.inc function names

.DEFINE iversion              = $4083
.DEFINE irandom               = $4086
.DEFINE isprite               = $4089
.DEFINE ilsprite              = $408C
.DEFINE igetpix               = $408F
.DEFINE ifastcopy             = $4092
.DEFINE idetect               = $4095
.DEFINE idecomp               = $4098

.DEFINE directin              = $409B
.DEFINE sendbytetios          = $409E
.DEFINE getbytetios           = $40A1
.DEFINE version               = $40A4
.DEFINE setvputs              = $40A7
.DEFINE setpixel              = $40AA
.DEFINE fastcopys             = $40AD
.DEFINE delayb                = $40B0
.DEFINE multhe                = $40B3
.DEFINE multhl                = $40B6
.DEFINE quittoshell           = $40B9
.DEFINE fastline              = $40BC
.DEFINE pixelonhl             = $40BF
.DEFINE pixeloff              = $40C2
.DEFINE pixelxor              = $40C5
.DEFINE pixeltest             = $40C8
.DEFINE pixeloffhl            = $40CB
.DEFINE pixelxorhl            = $40DE
.DEFINE pixeltesthl           = $40D1
.DEFINE fastlineb             = $40D4
.DEFINE fastlinew             = $40D7
.DEFINE fastlinex             = $40DA
.DEFINE pointonc              = $40DD
.DEFINE pointoffc             = $40E0
.DEFINE pointxorc             = $40E3
.DEFINE centertext            = $40E6
.DEFINE cphlbc                = $40E9
.DEFINE putsprite8            = $40EC
.DEFINE fastcopyb             = $40EF
.DEFINE vputsc                = $40F2
.DEFINE scrolld7              = $40F5
.DEFINE vnewline              = $40F8
.DEFINE rand127               = $40FB
.DEFINE disprle               = $40FE
.DEFINE cphlde                = $4101
.DEFINE screentopic           = $4104
.DEFINE fastlined             = $4107
.DEFINE disprlel              = $410A
.DEFINE getnextgoodprog       = $410D
.DEFINE getprevgoodprog       = $4110
.DEFINE getnext               = $4113
.DEFINE getprev               = $4116
.DEFINE compstrs              = $4119
.DEFINE nextstr               = $411C
.DEFINE getinfo               = $411F
.DEFINE fastrectangle         = $4122
.DEFINE gettext               = $4125
.DEFINE gettextv              = $4128
.DEFINE FastRectangle_Save    = $412B
.DEFINE vputa                 = $412E
.DEFINE runprog               = $4131
.DEFINE isgoodprog            = $4134
.DEFINE existfold             = $4137
.DEFINE delprog               = $413A
.DEFINE filledrectangle       = $413D
.DEFINE nextfolder            = $4140
.DEFINE delfolder             = $4143
.DEFINE moveall               = $4149
.DEFINE curfoldname           = $4149
.DEFINE curfoldnamea          = $414C
.DEFINE createfolder          = $414F
.DEFINE compstrsn             = $4152
.DEFINE folder_menu_start     = $4155
.DEFINE options_screen        = $4158
.DEFINE put_folder_name_top   = $415B
.DEFINE general_key_routine   = $415E
.DEFINE find_num_good_progs   = $4161
.DEFINE put_scrollbar         = $4164
.DEFINE invert_lines          = $4167
.DEFINE invert_1_line         = $416A
.DEFINE right_align_value     = $416D
.DEFINE put_mirageos_header   = $4170
.DEFINE put_size_graphic      = $4173
.DEFINE sendprog              = $4176
.DEFINE hideprog              = $4179
.DEFINE arcprog               = $417C
.DEFINE filledrectangle_save  = $417F
.DEFINE getbytetiosw          = $4182
.DEFINE vatswap               = $4185
.DEFINE renameprog            = $4188
.DEFINE renamefolder          = $418B
.DEFINE sysmain               = $418E
.DEFINE setupint              = $4191
.DEFINE move_gui_prog         = $4194
.DEFINE largespritehl         = $4197
.DEFINE Update_Scrollbar      = $419A
.DEFINE Initial_Scrollbar     = $419D
.DEFINE sortallfolds          = $41A0
.DEFINE dofoldsort            = $41A3
.DEFINE getfoldsort           = $41A6
.DEFINE setfoldsort           = $41A9
.DEFINE Increase_Cur_Element  = $41AC
.DEFINE Decrease_Cur_Element  = $41AF
.DEFINE Increase_Max_Elements = $41B2
.DEFINE Decrease_Max_Elements = $41B5
.DEFINE Add_A_To_Cur_Element  = $41B8
.DEFINE Sub_A_From_Cur_Element = $41BB
.DEFINE Add_A_To_Max_Elements = $41BE
.DEFINE Sub_A_From_Max_Elements = $41C1
.DEFINE Skip_Forward_B_From_Top = $41C4
.DEFINE Get_Curgoodprog_Ptr   = $41C7
.DEFINE getchecksum           = $41CA
.DEFINE freearc               = $41CD
.DEFINE swapram               = $41D0
.DEFINE hideall               = $41D3

;=================================;
;====== MirageOS Ram Equates =====;
;=================================;

.DEFINE mlinebitmap           = $FFFF-399
.DEFINE timer1                = $8a3a
.DEFINE timer1max             = $8a3b
.DEFINE timer2                = $8a3c
.DEFINE timer2max             = $8a3d
.DEFINE timer3                = $8a3e
.DEFINE custintaddr           = $966F

.DEFINE saferam1              = saveSScreen
.DEFINE saferam2              = appBackUpScreen
.DEFINE saferam3              = tempSwapArea

.DEFINE mirflags              = $21
.DEFINE rightalign            = $07
.DEFINE lcdinstport           = $10
.DEFINE lcddataport           = $11

.DEFINE numscrollpixels       = cmdShadow+104
.DEFINE scrollbarcoords       = cmdShadow+105
.DEFINE old_element           = cmdShadow+107
.DEFINE cur_element           = cmdShadow+109
.DEFINE old_max_elem          = cmdShadow+111
.DEFINE max_elements          = cmdShadow+113

; =================================
; ===== Various Other Equates =====
; =================================

.DEFINE gbuf                  = plotSScreen
.DEFINE LargeSprite           = ilsprite
.DEFINE SmallSprite           = isprite
.DEFINE FastCopy              = ifastcopy